%define upstream_name    Pod-ToDemo
%define upstream_version 1.20110709

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    writes a demo program from a tutorial POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Pod::ToDemo allows you to write POD-only modules that serve as tutorials which
can write out demo programs if you invoke them directly.  That is, while
SDL::Tutorial is a tutorial on writing beginner SDL applications with Perl,
you can invoke it as:

  $ perl -MSDL::Tutorial=sdl_demo.pl -e 1

and it will write a bare-bones demo program called sdl_demo.pl based on the
tutorial.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/0-signature.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Pod

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.201.107.90-11.mga10
+ Revision: 2200314
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.201.107.90-10.mga9
+ Revision: 1805364
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.201.107.90-9.mga8
+ Revision: 1496748
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.201.107.90-8.mga7
+ Revision: 1270694
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.201.107.90-7.mga6
+ Revision: 1032334
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.201.107.90-6.mga6
+ Revision: 946372
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.201.107.90-5.mga5
+ Revision: 749828
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.201.107.90-4.mga5
+ Revision: 686026
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.201.107.90-3.mga4
+ Revision: 514229
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.201.107.90-2.mga3
+ Revision: 372024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 13 2011 jquelin <jquelin> 1.201.107.90-1.mga2
+ Revision: 123625
- update to 1.20110709

* Wed Jun 15 2011 jquelin <jquelin> 1.201.106.140-1.mga2
+ Revision: 107343
- update to 1.20110614

* Tue Jan 18 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 22772
- cleaning spec file
- imported package perl-Pod-ToDemo


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 404308
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.01-3mdv2009.1
+ Revision: 351752
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.01-2mdv2009.0
+ Revision: 224000
- rebuild

* Mon Feb 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2008.1
+ Revision: 165074
- import perl-Pod-ToDemo


* Mon Feb 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2008.1
- first mdv release  
